Skip to main content
PATCH
/
api
/
v1
/
partners
/
{partner_id}
/
api_keys
/
{id}
Update partner API key active state or scopes
curl --request PATCH \
  --url https://api.callaro.ai/api/v1/partners/{partner_id}/api_keys/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "active": true,
  "scopes": [
    "<string>"
  ]
}
'
{
  "data": {},
  "message": "<string>",
  "meta": {},
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

partner_id
string
required
id
string
required

Body

application/json
active
boolean
scopes
string[]

Response

Updated

data
object
message
string | null
meta
object
request_id
string | null